/**
 * @addtogroup util Utility module
 * @{
 *
 * @file
 *
 */

//------------------------------------------------------------------------------
// Copyright (c) 2018 Cohda Wireless Pty Ltd
//-----------------------------------------------------------------------------

#ifndef __UTIL_TCP_H__
#define __UTIL_TCP_H__

//------------------------------------------------------------------------------
// Included headers
//------------------------------------------------------------------------------

#include <stdint.h>
#include <unistd.h>

#ifdef __cplusplus
extern "C"
{
#endif

//------------------------------------------------------------------------------
// Macros & Constants
//------------------------------------------------------------------------------

//------------------------------------------------------------------------------
// Type definitions
//------------------------------------------------------------------------------

//------------------------------------------------------------------------------
// Function Prototypes
//------------------------------------------------------------------------------

int TCP_OpenPort(const char * pHost, uint16_t Port);

int TCP_OpenSrvPort(uint16_t Port);

#ifdef __cplusplus
}
#endif

#endif //  __UTIL_TCP_H__

// Close the doxygen group
/**
 * @}
 */
